ONVIF::Analytics::Types::DateTime(3)

NAME
ONVIF::Analytics::Types::DateTime

DESCRIPTION
Perl data type class for the XML Schema defined complexType DateTime from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Time

•   Date

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::DateTime
   Time =>  { # ONVIF::Analytics::Types::Time
     Hour =>  $some_value, # int
     Minute =>  $some_value, # int
     Second =>  $some_value, # int
   },
   Date =>  { # ONVIF::Analytics::Types::Date
     Year =>  $some_value, # int
     Month =>  $some_value, # int
     Day =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL